// MsgSyncReq: copy files to the remote host; Windows compatibility

// Copyright (C) 2021  Simon Ruderich
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package sync

import (
	"fmt"
	"os"
)

// Windows remote hosts are not supported. However, the local safcm binary
// imports safcm-remote which fails to build with the regular files.go.

func (s *Sync) syncFiles() error {
	return fmt.Errorf("not implemented on Windows")
}

func OpenFileNoSymlinks(path string) (*os.File, error) {
	return nil, fmt.Errorf("not implemented on Windows")
}
